<div class="outerpage-session-wrapper" [ngClass]="['indigo-pink-theme']">
  <div class="main-content">
    <!-- {{selectedTheme}} -->
    <mat-toolbar class="top-menubar">
      <img mat-card-image class="logo" src="assets/Images/HRA_CAPS_Logo_Lockup_White-01.png" alt="NYC HRA LOGO" />
      <span class="toolbar-spacer"></span>
      <h1 class="main-title">
        Coordinated Assessment and Placement System
      </h1>
      <span class="toolbar-spacer"></span>
    </mat-toolbar>
    <div class="session-out-content">
      <mat-card *ngIf="urlParameter == 'expired'" class="sesson-out-card">
        <mat-card-header>
          <h2>
            <mat-icon>warning</mat-icon>Session Expired!
          </h2>
        </mat-card-header>
        <mat-divider></mat-divider>
        <mat-card-content>
          <p style="font-weight: bold">The session has timed out.</p>
          <p>Your Browser session has timed out, and you have been logged off.</p>
        </mat-card-content>
        <mat-card-footer>
          <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
            <button type="button" (click)="onLoginClick()" mat-raised-button color="primary">Login Again</button>
          </span>
        </mat-card-footer>
      </mat-card>

      <mat-card *ngIf="urlParameter == 'logout'" class="sesson-out-card">
        <mat-card-header>
          <h2>
            <mat-icon>warning</mat-icon>Logged Out!
          </h2>
        </mat-card-header>
        <mat-divider></mat-divider>
        <mat-card-content>
          <p style="font-weight: bold">You just Logged out.</p>
          <p>You can click the <span style="font-weight: bold">"Login"</span> button to continue again.</p>
        </mat-card-content>
        <mat-card-footer>
          <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
            <button type="button" (click)="onLoginClick()" mat-raised-button color="primary">Login Again</button>
          </span>
        </mat-card-footer>
      </mat-card>
    </div>

    <footer class="footer">
      <mat-toolbar color="primary" fxLayout="row auto" fxLayoutGap="10px">
        <div class="copyright" fxLayoutAlign="start">Copyright</div>
        <div class="helpSupport" fxLayoutAlign="end">Help | Support</div>
      </mat-toolbar>
    </footer>
  </div>
</div>
